require('dotenv').config();
const debug=require('debug')('debug');

const calendarAll = require('./service/calendar-all');
const serviceAvailability = require('./service/service-availability');
const servicesInsert = require('./service/services-insert');

run().catch(err => {
    debug('run: error');
    console.log(err)
});

async function run() {
    debug('run: started...');
    let rsp = null;
    try {
	//array of object {service_id:string}
	rsp = await calendarAll.get(1, 1);
    } catch (err) {
	console.error(`ERROR: run: Error while getting calendar with oset and linit `, err.message);
    }

    if ( !Object.prototype.toString.call(rsp) === '[object Array]') {
	console.error('ERROR: run: NO Array!');
	return;
    }

    const rspLngth = rsp.length
    debug('run: rspLength: ' + rspLngth );
    //debug('run: rsp: ' + JSON.stringify( rsp ) );

    if ( rspLngth === 0 ) {
	console.error('ERROR: run: Why the heck is Array empty?');
	return;
    }
	
    //init services map
    const mapServices = new Map();
    //debug('run: mapServices.size: '+mapServices.size);

    for ( let i = 0; i < rspLngth; i++ ) {
	const serviceId = rsp[i].service_id;
	//debug('run: serviceId: ' + serviceId );

	//get service
	let service = [];
	if ( !mapServices.has( serviceId ) ) {
	    service = await serviceAvailability.get( serviceId );
	    mapServices.set( serviceId, service );
	}else{
	    service = mapServices.get(serviceId);
	}
	//debug('run: serviceId: ' + serviceId );
	//debug('run: service.length: ' + service.length);
	//debug('run: service: ' + JSON.stringify( service ));

	//create dates string
	let dates = '';
	service.forEach((item) => dates = dates.concat(item).concat(','));
	//debug('run: dates: ' + dates);
	servicesInsert.set(serviceId, dates);
    }
    debug('run: done.');
};
