const debug=require('debug')('debug');

const db = require('./db');
const datesServiceAvailable=require('./dates-service-available');
const datesServiceAdded=require('./dates-service-added');
const datesServiceRemoved=require('./dates-service-removed');
const mapping=require('../utils/mapping');

/**
 * Create array of days in timestamp format
 *
 * @return Array 
 */
async function get(serviceId = 0) {
    //debug('serviceAvailability serviceId: '+serviceId);

    //array[date in timestamp format]
    const available = await datesServiceAvailable.get(serviceId);
    //debug('serviceAvailability available: ' + available.length);

    //TODO Make sure this function works with not weekday set at all!

    //array[date in timestamp format]
    const added = await datesServiceAdded.get(serviceId);
    //debug('serviceAvailability added: ' + added.length);

    //array[date in timestamp format]
    const removed = await datesServiceRemoved.get(serviceId);
    //debug('serviceAvailability removed: ' + removed.length);

    const setAvail = new Set( available );
    //debug('serviceAvailability setAvail.size: ' + setAvail.size );

    removed.forEach( rmEntry => setAvail.delete( rmEntry ) );
    //debug('serviceAvailability setAvail.size: ' + setAvail.size );

    //add dates to service
    //TODO optimize!
    const setAvailWithAdded = new Set( [...setAvail, ...new Set( added ) ] );

    //debug('serviceAvailability setAvailWithAdded size: ' + setAvailWithAdded.size);
    return mapping.set2Array(setAvailWithAdded);
};

module.exports = {
  get
};
