-- colon before variable: for a prepared statement using named placeholders, this will be a parameter name of the form :name

CREATE SCHEMA IF NOT EXISTS :schema;
CREATE SCHEMA IF NOT EXISTS :schema_gtfsr;
SET search_path to :schema, :schema_gtfsr, public;

---create view
DROP VIEW IF EXISTS :schema.vw_join_gncy_rts_trps_srvcs_pdts CASCADE;
CREATE OR REPLACE VIEW :schema.vw_join_gncy_rts_trps_srvcs_pdts AS
SELECT gncy_rts_trps_srvcs.agency_name, gncy_rts_trps_srvcs.agency_id, gncy_rts_trps_srvcs.route_id, gncy_rts_trps_srvcs.route_short_name, gncy_rts_trps_srvcs.service_id, gncy_rts_trps_srvcs.trip_id, gncy_rts_trps_srvcs.trip_short_name, gncy_rts_trps_srvcs.trip_headsign, gncy_rts_trps_srvcs.dates, pdts.timestamp_pgsql FROM :schema.vw_join_gncy_rts_trps_srvcs AS gncy_rts_trps_srvcs LEFT JOIN :schema_gtfsr.trip_updates AS pdts ON gncy_rts_trps_srvcs.route_id = pdts.trip_route_id AND gncy_rts_trps_srvcs.trip_id = pdts.trip_trip_id ORDER BY gncy_rts_trps_srvcs.agency_name, gncy_rts_trps_srvcs.route_id, gncy_rts_trps_srvcs.trip_id, pdts.timestamp_pgsql;

DROP VIEW IF EXISTS mblthk.vw_join_gncy_rts_trps_srvcs_pdts CASCADE;
CREATE OR REPLACE VIEW mblthk.vw_join_gncy_rts_trps_srvcs_pdts AS
SELECT gncy_rts_trps_srvcs.agency_name, gncy_rts_trps_srvcs.agency_id, gncy_rts_trps_srvcs.route_id, gncy_rts_trps_srvcs.route_short_name, gncy_rts_trps_srvcs.service_id, gncy_rts_trps_srvcs.trip_id, gncy_rts_trps_srvcs.trip_short_name, gncy_rts_trps_srvcs.trip_headsign, gncy_rts_trps_srvcs.dates, pdts.timestamp_pgsql FROM mblthk.vw_join_gncy_rts_trps_srvcs AS gncy_rts_trps_srvcs LEFT JOIN gtfsr.trip_updates AS pdts ON gncy_rts_trps_srvcs.route_id = pdts.trip_route_id AND gncy_rts_trps_srvcs.trip_id = pdts.trip_trip_id ORDER BY gncy_rts_trps_srvcs.agency_name, gncy_rts_trps_srvcs.route_id, gncy_rts_trps_srvcs.trip_id, pdts.timestamp_pgsql;
