-- colon before variable: for a prepared statement using named placeholders, this will be a parameter name of the form :name

CREATE SCHEMA IF NOT EXISTS :schema;
SET search_path to :schema, public;

---create view
CREATE OR REPLACE VIEW :schema.vw_trip_count AS SELECT gncy.agency_name, gncy.agency_id, count(DISTINCT trps.route_id) AS route_count, count(DISTINCT trps.trip_id) AS trip_count FROM :schema.agency AS gncy LEFT JOIN :schema.routes AS rts ON rts.agency_id = gncy.agency_id LEFT JOIN :schema.trips AS trps ON trps.route_id = rts.route_id GROUP BY gncy.agency_id, gncy.agency_name ORDER BY route_count ASC, trip_count ASC;
